MP4(3)

NAME

MP4GetRtpHintNumberOfPackets - Get the number of packets in an RTP hint

SYNTAX

#include <mp4.h>

u_int16_t MP4GetRtpHintNumberOfPackets(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

RETURN VALUES

Upon success, the number of packets in the current RTP hint. Upon an error, 0.

DESCRIPTION

MP4GetRtpHintNumberOfPackets returns the number of packets contained in the current RTP hint as established by a call to MP4ReadRtpHint().

SEE ALSO

MP4(3) MP4ReadRtpHint(3)